package com.webchat.domain.vo.response.lottery;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class LotteryDrawOneResponseVO extends LotteryDrawBaseResponseVO {

    /**
     * 用户最新余额
     */
    private Long itemId;


    public static LotteryDrawOneResponseVO of(BigDecimal balance, Long itemId) {
        LotteryDrawOneResponseVO lotteryDrawOneResponseVO = new LotteryDrawOneResponseVO(itemId);
        lotteryDrawOneResponseVO.setWalletBalance(balance);
        return lotteryDrawOneResponseVO;
    }
}
